// DC16-OUT-test driven with an MCP23017
#include <Wire.h>
#include "Adafruit_MCP23017.h"

Adafruit_MCP23017 mcp;

void setup() {  
  mcp.begin(0x27);      // specify address, not default address 0

for (int p = 0; p <= 17; p++)     // set all 16 as outputs
  {   mcp.pinMode(p, OUTPUT);
      mcp.digitalWrite(p, HIGH);  // set all HIGH
  }
}

void loop() {   // run a 5 wire stepper motor.

  mcp.digitalWrite(12, LOW);  
  mcp.digitalWrite(13, HIGH);
  mcp.digitalWrite(14, HIGH);
  mcp.digitalWrite(15, HIGH);
  delay(10);

  mcp.digitalWrite(12, HIGH);
  mcp.digitalWrite(13, LOW);
  mcp.digitalWrite(14, HIGH);
  mcp.digitalWrite(15, HIGH);
  delay(10);
  
  mcp.digitalWrite(12, HIGH);
  mcp.digitalWrite(13, HIGH);
  mcp.digitalWrite(14, LOW);
  mcp.digitalWrite(15, HIGH);
  delay(10);
  
  mcp.digitalWrite(12, HIGH);
  mcp.digitalWrite(13, HIGH);
  mcp.digitalWrite(14, HIGH);
  mcp.digitalWrite(15, LOW);
  delay(10);
}
